/*
 * I Mistrzostwa Wielkopolski w Programowaniu Zespoowym
 * Rozwiazanie wzorcowe do zadania I - Pomiar Predkosci
 * Autor: Bartosz Nowierski
 * Poznan, 2003
 */

#define NDEBUG

#include <stdio.h>
#include <assert.h>

#define MAXN 5000
#define MAXS 10000

#define abs(a) (((a) < 0) ? (-(a)) : (a))


int V[MAXN];
int A[MAXS+1];

int N;
int S;


int main()
{
  int d;
  int min;
  int i, j;


  if (scanf("%d", &d) < 1)
    assert(0);
  assert(d > 0);

  while (d--)
  {
    if (scanf("%d", &N) < 1)
      assert(0);
    assert((N > 0) && (N <= MAXN));
    
    S = 0;
    for (i = 0; i < N; i++)
    {
      if (scanf("%d", &V[i]) < 1)
        assert(0);
      assert((V[i] >= 0) && (V[i] <= MAXS));
      S += V[i];
      assert(S <= MAXS);
    }
    for (j = 0; j <= S; j++)
      A[j] = 0;
    A[0] = 1;
    for (i = 0; i < N; i++)
    {
      for (j = S; j > 0; j--)
      {
        if ((j-V[i] >= 0) && A[j-V[i]])
        {
          A[j] = 1;
        }
      }
    }
    min = S+1;
    for (j = 0; j <= S; j++)
      if (A[j] && (abs(S-2*j) < min))
        min = abs(S-2*j);
    assert((min >= 0) && (min <= S));
    printf("%d %d\n", min, S);
  }
  
  
  return 0;
}
