(*
 * I Mistrzostwa Wielkopolski w Programowaniu Zespoowym
 * Rozwiazanie wzorcowe do zadania C - Stowka
 * Autor: Rafa Witkowski
 * Poznan, 2003
 *)
 
program stolowka;


var
  n: longint;
  heap: array[0..150010] of longint;
  kkw: array[0..50052] of longint;
  d,q: longint;
  m,t: longint;
  c: char;
  s: string;
  im: array[0..50052] of string;
  tzupa, waga, tdd, tt,ix,wynik: array[0..50052] of longint;
  i,j,x,czas : longint;

procedure QuickSort(Lo, Hi: longint);

procedure Sort(l, r: longint);
var
  i, j: longint;
  x, y: longint;
begin
  i := l; j := r;
  x := tt[(l+r) DIV 2];
  repeat
    while tt[i] < x
      do i := i + 1;
    while x < tt[j]
      do j := j - 1;
    if i <= j then
    begin
      y := tt[i]; tt[i] := tt[j]; tt[j] := y;
      y := tzupa[i]; tzupa[i] := tzupa[j]; tzupa[j] := y;
      y := tdd[i]; tdd[i] := tdd[j]; tdd[j] := y;
      y := waga[i]; waga[i] := waga[j]; waga[j] := y;
      y := ix[i]; ix[i] := ix[j]; ix[j] := y;

      i := i + 1; j := j - 1;
    end;
  until i > j;
  if l < j then Sort(l, j);
  if i < r then Sort(i, r);
end;

begin {QuickSort};
  Sort(Lo,Hi);
end;


procedure Insert(Item: longint);
  var Dad,Nr: longint;
      Tmp: longint;

  begin
    Inc(N);
    Heap[N]:=Item;
    Nr:=N;
    Dad:=Nr div 2;
    while (Nr>1)and(waga[heap[Dad]]>waga[Heap[Nr]]) do
    begin
      Tmp:=Heap[Dad];
      Heap[Dad]:=Heap[Nr];
      Heap[Nr]:=Tmp;
      Nr:=Dad;
      Dad:=Nr div 2;
    end;
    while (Nr>1)and(waga[heap[Dad]]=waga[Heap[Nr]])and(ix[heap[dad]]>ix[heap[nr]]) do
    begin
      Tmp:=Heap[Dad];
      Heap[Dad]:=Heap[Nr];
      Heap[Nr]:=Tmp;
      Nr:=Dad;
      Dad:=Nr div 2;
    end;
  end;

function GetMin: longint;
  begin
    Getmin:=Heap[1];
end;

procedure DelMin;

    function MinSon(Nr: longint): longint;
    var Son1,Son2: longint;

    begin
      Son1:=2*Nr;
      Son2:=Son1+1;
      MinSon:=-1;
      if N<=Son1 then Exit;
      MinSon:=Son1;
      if N<=Son2 then Exit;
      if waga[Heap[Son2]]>waga[Heap[Son1]] then Exit;
      if waga[Heap[Son2]]=waga[Heap[Son1]] then if ix[heap[son2]]>ix[heap[son1]] then Exit;
      MinSon:=Son2;
    end;

  var Nr,Son: longint;
      Tmp: longint;

  begin
    Heap[1]:=Heap[N];
    Dec(N);
    Nr:=1;
    Son:=MinSon(Nr);
    while (Son<>-1)and(waga[Heap[Nr]]>waga[Heap[Son]]) do
    begin
      Tmp:=Heap[Nr];
      Heap[Nr]:=Heap[Son];
      Heap[Son]:=Tmp;
      Nr:=Son;
      Son:=MinSon(Nr);
    end;
    while (Son<>-1)and(waga[Heap[Nr]]=waga[Heap[Son]])and(ix[heap[nr]]>ix[heap[son]]) do
    begin
      Tmp:=Heap[Nr];
      Heap[Nr]:=Heap[Son];
      Heap[Son]:=Tmp;
      Nr:=Son;
      Son:=MinSon(Nr);
    end;

end;


var str: string;

function getint: longint;
var p: integer;
    v: longint;
    bl: integer;
begin
  p := pos(' ', str);
  if p >= 1 then
  begin
    val(copy(str, 1, p-1), v, bl);
    delete(str, 1, p);
  end else
  begin
    val(str, v, bl);
  end;
  getint := v;
end;


begin
 read(d);
 for q:=1 to d do
 begin
   readln(m,t);
   for i:=1 to m do
   begin
     n:=0;
     readln(str);
     case str[1] of
       'p': waga[i]:=-300;
       'd': waga[i]:=-200;
       'm': waga[i]:=-100;
       else waga[i]:=0;
     end;
     x:=2;
     j:=waga[i];
     if j<0 then j:=-1;
     while j<2 do
     begin
       if str[x]=' ' then j:=j+1;
       x:=x+1;
     end;
     im[i] := copy(str, 1, x-1);
     delete(str, 1, x-1);


     x :=  getint; waga[i]:=waga[i]-x;
     tt[i] := getint;
     tzupa[i] := getint;
     tdd[i] := getint;
     ix[i]:=i;

//     writeln (im[i],' ',waga[i],' ',tt[i],' ',tzupa[i],' ',tdd[i]);

   end;

   czas:=0; i:=1; n:=0;
   while i<=m do
   begin
       while czas=tt[i] do
       begin
             if tzupa[i]>0 then insert(i);
             i:=i+1;
             if i>m then break;
       end;
      if n>0 then
      begin
          tt[getmin]:=czas+tzupa[getmin];
          if tt[getmin]>t then tt[getmin]:=t;
          delmin;
      end;
       if (n>0) then czas:=czas+1 else czas:=tt[i];
   end;
   j:=n;
   for i:=0 to j-1 do
   begin
     tt[getmin]:=czas+i+tzupa[getmin];
     if tt[getmin]>t then tt[getmin]:=t;
     delmin;
   end;

   quicksort(1,m);

   czas:=0; i:=1; n:=0;
   while i<=m do
   begin
       while czas=tt[i] do
       begin
             if tdd[i]>0 then insert(i);
             i:=i+1;
             if i>m then break;
       end;
      if n>0 then
      begin
          tt[getmin]:=czas+tdd[getmin];
          if tt[getmin]>t then tt[getmin]:=t;
          delmin;
      end;
       if (n>0) then czas:=czas+1 else czas:=tt[i];
   end;
   j:=n;
   for i:=0 to j-1 do
   begin
     tt[getmin]:=czas+i+tdd[getmin];
     if tt[getmin]>t then tt[getmin]:=t;
     delmin;
   end;

   for i:=1 to m do wynik[ix[i]]:=tt[i];
   for i:=1 to m do tzupa[ix[i]]:=waga[i];

   for i:=1 to m do
     case tzupa[i] div 100 of
       -3: writeln(im[i],wynik[i]);
       -2: writeln(im[i],wynik[i]);
       -1: writeln(im[i],wynik[i]);
        0: writeln(im[i],wynik[i]);
     end;
 end;
end.
